<?php
/*
  Plugin Name: Fix Custom Forms field names
  Plugin URI: http://tickera.com/
  Description: Fix Custom Forms field names
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  Copyright 2018 Tickera (http://tickera.com/)
 */

function tc_fix_custom_forms_field_names() {
    ?> <div class="postbox">
        <h3 class="hndle"> Custom Forms Fix </h3>
        <div class="inside">
            <span class="description">By clicking on the button, custom form field names starting with number will be renamed. This visible in the database only and should not affect plugin functionality.</span>
            <br />
            <form method="post"><input type="submit" name="fix_custom_fields" class="button button-primary" value="FIX CUSTOM FIELDS" /></form>
            <br />
        </div>
    </div>
    <?php
    if (isset($_POST['fix_custom_fields'])) {
        global $wpdb;

        $results = $wpdb->get_results("
            SELECT DISTINCT pm.meta_value as post_name FROM {$wpdb->prefix}posts p, {$wpdb->prefix}postmeta pm 
WHERE p.post_type = 'tc_form_fields' 
AND pm.meta_key = 'name'
AND pm.meta_value NOT LIKE 'tc_ff_%' 
   ", ARRAY_A);

        foreach ($results as $result) {
            //$wpdb->query("UPDATE {$wpdb->prefix}posts SET post_name = CONCAT('tc_ff_', post_name) WHERE post_name = '" . $result['post_name'] . "'");

            $wpdb->query("UPDATE {$wpdb->prefix}postmeta SET meta_key = CONCAT('tc_ff_', meta_key) WHERE meta_key = '" . $result['post_name'] . "'");
            $wpdb->query("UPDATE {$wpdb->prefix}postmeta SET meta_value = CONCAT('tc_ff_', meta_value) WHERE meta_value = '" . $result['post_name'] . "'");
        }
    }
}

add_action('tc_after_system', 'tc_fix_custom_forms_field_names');
?>